---
title: Ruby on Rails language-specific guide
linkTitle: Ruby
description: Containerize Ruby on Rails apps using Docker
keywords: Docker, getting started, ruby, language
toc_min: 1
toc_max: 2
aliases:
- /language/ruby/
---

The Ruby language-specific guide teaches you how to containerize a Ruby on Rails application using Docker. In this guide, you’ll learn how to:

* Containerize and run a Ruby on Rails application
* Set up a local environment to develop a Ruby on Rails application using containers
* Configure a CI/CD pipeline for a containerized Ruby on Rails application using GitHub Actions
* Deploy your containerized Ruby on Rails application locally to Kubernetes to test and debug your deployment

Start by containerizing an existing Ruby on Rails application.

{{< button text="Containerize a Ruby on Rails app" url="containerize.md" >}}
